#include "translationcomponents.h"
#include "ui_translationcomponents.h"

#include "models/patchinstaller.h"

TranslationComponents::TranslationComponents(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::TranslationComponents)
{
    ui->setupUi(this);
    setAttribute(Qt::WA_StyledBackground, true);

    ui->texts_block_label->setTooltipParentWidget(parentWidget());
    ui->texts_block_label->raise();
    ui->texts_block_label->setTooltipText("Перевод всех текстовых элементов в игре: названий, квестов, меню и т.д.");

    ui->graphics_block_label->setTooltipParentWidget(parentWidget());
    ui->graphics_block_label->raise();
    ui->graphics_block_label->setTooltipText("Переведенные карты локаций и элементы графического интерфейса.");

    ui->video_block_label->setTooltipParentWidget(parentWidget());
    ui->video_block_label->raise();
    ui->video_block_label->setTooltipText("Переведенные и озвученные видеоролики и кат-сцены.");

    ui->audio_block_label->setTooltipParentWidget(parentWidget());
    ui->audio_block_label->raise();
    ui->audio_block_label->setTooltipText("Переведенные и озвученные реплики персонажей.");

    ui->loadscreens_block_label->setTooltipParentWidget(parentWidget());
    ui->loadscreens_block_label->raise();
    ui->loadscreens_block_label->setTooltipText("Загрузочные экраны от команды Наследия");

    connect(&PatchInstaller::instance(), &PatchInstaller::successfullyInitialized, this, &TranslationComponents::resetSwitchesToDefault);
}

TranslationComponents::~TranslationComponents()
{
    delete ui;
}

void TranslationComponents::resetSwitchesToDefault() {
    PatchInstaller::AppliedPatchesInfo info = PatchInstaller::instance().getPatchesInfo();

    ui->texts_block_switch->setValue(info.texts_version != 0);
    ui->graphics_block_switch->setValue(info.graphics_version != 0);
    ui->video_block_switch->setValue(info.videos_version != 0);
    ui->audio_block_switch->setValue(info.audio_version != 0);
    ui->loadscreens_block_switch->setValue(info.loadscreens_version != 0);
}
